This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 129845 - Problem when mounting CD-Rom as not root user
Problem when mounting CD-Rom as not root user
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
2
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-13 05:30 EDT by Joachim Backes
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-13 10:43:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joachim Backes 2004-08-13 05:30:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
In my /etc/fstab, the /dev/cdrom entry has the user option:

/dev/cdrom              /mnt/cdrom              iso9660 
user,noauto,ro,exec       0 0

But if a non-root user tries mount /mnt/cdrom:

mount: must be superuser to use mount
to mount /mnt/cdrom, it will be rejected 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Try to mount /dev/cdrom as normal user
2.
3.
    

Actual Results:  Rejected:
mount: must be superuser to use mount
to mount /mnt/cdrom, it will be rejected 

Kernel: 2.6.7, Vanilla


Expected Results:  cdrom is mounted

Additional info: No problem when mounting as root
Comment 1 Elliot Lee 2004-08-13 10:43:45 EDT
AFAIK, this error message can only happen if /bin/mount is not setuid
root (or if /bin is on a filesystem mounted nosuid). Please advise if
this is not the case...

Note You need to log in before you can comment on or make changes to this bug.